TYPO3.Flow - Task # 46340

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Validation
Created: 2013-03-15 Assigned To:

Updated: 2013-03-27 Due date:

Sprint:

PHP Version:

Has patch: No

Complexity:

Subject: Improve validation to speed up Flow

Description

Related issues:

related to TYPOS.Flow - Bug # 50585: Validation fails if nested properties of...

Resolved

2013-07-31

Associated revisions

Revision 90b4bc42 - 2013-03-15 22:05 - Steffen Ritter
[TASK] Optimize Validation to improve performance

The validation result object traverses the whole result-
tree everytime someone checks for errors, notices or

warnings.

This patch refactors the Result object to cache the result
internally and propagate changes to the parent result object.

In addition the heavy merge actions use this cached

information to prevent unneccesary operations.

Furthermore the validators are reworked to prevent

superfluous object creation.

Releases: 2.0, master

Resolves: #46340

Change-Id: 152ddadd84c39ba67fe87d5b82917360ad24f607e
Revision e7ac72fe - 2013-03-26 14:54 - Steffen Ritter
[TASK] Optimize Validation to improve performance

The validation result object traverses the whole result-

tree every time someone checks for errors, notices or

warnings.

This patch refactors the Result object to cache the result
internally and propagate changes to the parent result object.

In addition the heavy merge actions use this cached
information to prevent unnecessary operations.
Furthermore the validators are reworked to prevent

superfluous object creation.

Releases: 2.0, master
Resolves: #46340
Change-Id: 152ddadd84c39ba67fe87d5b82917360ad24f607e

Revision 261972d9 - 2013-03-27 12:05 - Steffen Ritter

[TASK] Optimize Validation to improve performance

The validation result object traverses the whole result-
tree everytime someone checks for errors, notices or

warnings.

This patch refactors the Result object to cache the result

internally and propagate changes to the parent result object.

In addition the heavy merge actions use this cached

information to prevent unneccesary operations.

Furthermore the validators are reworked to prevent
superfluous object creation.

Releases: 2.0, master
Resolves: #46340
Change-Id: 152ddadd84c39ba67fe87d5b82917360ad24f607¢e

Revision 0975636 - 2013-10-02 17:52 - Helmut Hummel

[BUGFIX] Fix validation if nested properties of same type are present

The performance optimization in #46340
changed the isValid() method of the
GenericObjectValidator to use the result
property while recursing through the properties
of the to be validated object.

Since GenericObjectValidator is reused, it could
be the case that this result set is reset to

empty value.

Revert this change and set the result property
after all properties of the to be validated
object are validated.

Resolves: #50585

Related: #46340

Releases: 2.0, master

Change-Id: [178ac02e7bcfc9748b9dad4a74f51314a34717e66

2015-08-04 2/4



Revision a6e5f720 - 2013-12-16 10:44 - Helmut Hummel

[BUGFIX] Fix validation if nested properties of same type are present

The performance optimization in #46340
changed the isValid() method of the
GenericObjectValidator to use the result
property while recursing through the properties
of the to be validated object.

Since GenericObjectValidator is reused, it could
be the case that this result set is reset to

empty value.

Revert this change and set the result property
after all properties of the to be validated

object are validated.

Resolves: #50585

Related: #46340

Releases: 2.0, master

Change-Id: 1178ac02e7bcfc9748b9dad4a74f51314a34717e66

History

#1 - 2013-03-15 19:19 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 5 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/18908

#2 - 2013-03-15 20:30 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/18908

#3 - 2013-03-15 21:24 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/18908

#4 - 2013-03-15 22:06 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/18908

#5 - 2013-03-15 22:36 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:90b4bc42ab87eaf7ed78a9b0f1fcbc54b3ea304e.

#6 - 2013-03-20 17:41 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19109

#7 - 2013-03-26 14:55 - Gerrit Code Review

Patch set 2 for branch 2.0 has been pushed to the review server.

It is available at https://review.typo3.org/19109

#8 - 2013-03-27 12:08 - Gerrit Code Review

Patch set 1 for branch composer has been pushed to the review server.
It is available at https://review.typo3.0rg/19365

#9 - 2013-03-27 13:37 - Steffen Ritter
- Status changed from Under Review to Resolved

Applied in changeset commit:261972d91ddabafa387d6a7e0ba52eb93d0f0f71.
